/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* CENTRER LE LOGO DANS LE MENU */
@media(min-width: 769px) {
    .inside-header>.site-branding,
    .inside-header>.navigation-branding,
    .inside-header>.site-logo,
    .site-branding-container,
    #site-navigation .navigation-branding .site-logo,
    #sticky-navigation .navigation-branding {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        z-index: 1000;
    }

    #site-navigation {
        margin-left: unset !important;
        display: flex;
    }

    .site-header .main-navigation:not(#sticky-navigation) .inside-navigation {
        margin: unset;
    }

    #site-navigation,
    #primary-menu,
    .main-navigation .inside-navigation {
        flex: 1;
    }

    /* Change nth-child(#) to first item to right */
    .main-navigation ul li:nth-child(3) {
        margin-left: auto;
    }
}
nav#mobile-header .site-logo.mobile-header-logo {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

nav#mobile-header button.menu-toggle {
    margin-left: auto;
}
@media (min-width: 768px) {
.slideout-navigation .main-nav, .slideout-navigation .slideout-widget:not(:last-child){
    margin-top: 150px;
}
}


/* HEADER DEROULANT */
.top-ticker{
  height:30px;
  background:#c73333;
  color:#fff;
  font-weight:700;
  text-transform:uppercase;
  overflow:hidden;
  white-space:nowrap;
  position:relative;
  z-index:9999;
  display:flex;
  align-items:center;
}

.top-ticker__inner{
  display:flex;
  width:max-content;                 /* <-- largeur = contenu réel */
  animation: ticker 18s linear infinite;
  will-change: transform;
}

.top-ticker__track{
  display:flex;
  align-items:center;
  gap:3rem;
  flex:0 0 auto;                     /* <-- ne rétrécit pas */
}

.top-ticker__track span{
  flex:0 0 auto;                     /* <-- ne rétrécit pas non plus */
  font-size:14px;
  line-height:30px;
  padding-right:3rem;
}

@keyframes ticker{
  from { transform: translateX(0); }
  to   { transform: translateX(-50%); } /* <-- ok car 2 tracks identiques */
}

/* HEADER DEROULANT */
.slideout-navigation.do-overlay .slideout-menu li {
    margin-bottom: 40px !important
}
/* =========================
	NIKO PAGE
	QUI EST NIKO
========================= */

.wp-block-heading .line-niko {
	display: inline-block;
/*	transform:rotate(-3.31deg);*/
}
.wp-block-heading .question-mark {
  display: block;
  color: #ffffff;
  margin-top: 40px;
	font-size: 200px;
}
@media(max-width: 769px) {
	.wp-block-heading .question-mark {
  	font-size: 105px;
  	margin-top: 16px;
	margin-bottom: 30px;
}
	.wp-block-heading .line-niko {
	transform:rotate(-3.31deg);
}
}
/* =========================
	HOME
	QUI EST NIKO HOME
========================= */
.wp-block-heading .line-niko-home {
	display: inline-block;
	transform:rotate(-3deg);
}
.wp-block-heading .niko-home {
  display: block;
}

.wp-block-heading .question-mark-home {
  display: block;
  color: #ffffff;
  margin-top: 0rem;
	font-size: 130px;
}
@media(max-width: 769px) {
.wp-block-heading .question-mark-home {
  font-size: 85px;
  margin-top: 6px;
}
}

/* =========================
	NEWSLETTER
========================= */
/* === NEWSLETTER NIKO : CHAMP EMAIL === */
.niko-newsletter-form{
  display: flex;
  flex-direction: column;
  gap: 30px; /* espace entre champ et bouton (ajuste si besoin) */
}

/* Champ email : pleine largeur du bloc */
.niko-newsletter-form .niko-input-email{
  padding-top: 15px;
  padding-bottom: 10px;
  border-radius: 10px;

  /* Texte saisi par l'utilisateur */
 font-size: 25px
  font-family: var(--gp-font--muller) !important;
  font-weight: 800 !important;
  text-align: center;
}

/* Placeholder "EMAIL" : 25px centré */
.niko-newsletter-form .niko-input-email::placeholder{
  font-size: 25px !important;
  text-align: center;

  font-family: var(--gp-font--niko-rounded) !important;
  font-weight: 800 !important;

  color: var(--beige) !important;
  opacity: 1;
}

/* Focus : évite les effets par défaut */
.niko-newsletter-form .niko-input-email:focus{
  box-shadow: none !important;
}

/* Optionnel : cache le champ anti-bot sans inline style */
.niko-newsletter-form input[name="email_address_check"]{
  display: none !important;
}

/* Affiche l’overlay au hover page produit*/
.niko-card:hover .niko-card__overlay{
  opacity:1;
}



